manifestVersion: 1
id: nx-tianji
name: Tianji
tagline: Insight into everything, Website Analytics + Uptime Monitor + Server Status
icon: https://git.weektab.org/nexus/umbrel-apps/raw/branch/main/gallery/tianji/icon.png
category: networking
version: "1.31.8"
port: 12345
description: >-
  During our observations of the website. We often need to use multiple applications together. 
  For example, we need analysis tools such as GA/umami to check pv/uv and the number of visits 
  to each page, we need an uptime monitor to check the network quality and connectivity of the 
  server, and we need to use prometheus to obtain the status reported by the server to check 
  the quality of the server.


  In addition, if we develop an application that allows open source deployment, we often need 
  a telemetry system to help us collect the simplest information about other people's deployment 
  situations.


  I think these tools should serve the same purpose, so is there an application that can integrate 
  these common needs in a lightweight way? After all, most of the time we don't need very professional 
  and in-depth functions. But in order to achieve comprehensive monitoring, I need to install so many 
  services.


  It's good to specialize in one thing, if we are experts in related abilities we need such specialized 
  tools. But for most users who only have lightweight needs, an All-in-One application will be more 
  convenient and easier to use.
developer: Msgbyte
website: https://tianji.dev/
submitter: Weektab
submission: https://git.weektab.org/nexus/umbrel-apps
repo: https://git.weektab.org/nexus/umbrel-apps/src/branch/main/nx-tianji
support: https://git.weektab.org/nexus/umbrel-apps/issues
gallery:
  - https://git.weektab.org/nexus/umbrel-apps/raw/branch/main/gallery/tianji/website-overview.jpeg
  - https://git.weektab.org/nexus/umbrel-apps/raw/branch/main/gallery/tianji/website-overview_2.jpeg
  - https://git.weektab.org/nexus/umbrel-apps/raw/branch/main/gallery/tianji/monitor.jpeg
  - https://git.weektab.org/nexus/umbrel-apps/raw/branch/main/gallery/tianji/servers.jpeg
  - https://git.weektab.org/nexus/umbrel-apps/raw/branch/main/gallery/tianji/whiteskin-shortcuts.jpeg
releaseNotes: >
    Features: 
      - add url as new field type of survey (c8a6efe)
      - add wrap for survey event table to display long text (1ea8d41)

    Others:
      - update model price (f7daffa)
      - update translation (21d929a)
dependencies: []
path: ""
defaultUsername: "admin"  
defaultPassword: "admin"